/**
 * Splits an array into smaller chunks of a specified size.
 *
 * @template T
 * @param {T[]} array - The array to split into chunks.
 * @param {number} size - The maximum number of items per chunk. Must be at least 1.
 * @returns {T[][]} An array of chunks, each containing up to `size` items.
 *
 * This function ensures:
 * - If the size is less than 1, it defaults to 1 to avoid empty chunks.
 * - The last chunk may contain fewer items if the array doesn't divide evenly.
 */
export declare function createChunks<T>(array: T[], size: number): T[][];
