/**
 * Generates an array of numbers starting at `start`, ending at `end`,
 * incremented by `step`.
 *
 * @param {number} start - The starting number of the sequence.
 * @param {number} end - The ending number of the sequence.
 * @param {number} [step=1] - The increment between numbers in the sequence.
 * @returns {number[]} An array of numbers from start to end, inclusive, with the specified step.
 *
 * If `step` is zero or negative and would create an invalid range, the function returns an empty array.
 * Results are rounded to 4 decimal places to mitigate floating-point precision errors.
 */
export declare function range(start: number, end: number, step?: number): number[];
