import { LabThumbnail } from '../lab-thumbnail.type';
import { LabContentRichtext } from './lab-content-richtext.type';
type LabImage = LabThumbnail;
/**
 * Combines an image with accompanying richtext and alignment control.
 */
export type LabContentImageText = {
    /** Image associated with the content block. */
    image: LabImage;
    /** Rich text or plain string content. */
    richtext: LabContentRichtext | string;
    /** Alignment of the image relative to the text. */
    imageAlign: 'left' | 'right';
};
export {};
