import { LabBook } from '../lab-book.type';
import { LabDemo } from '../lab-demo.type';
import { LabEvent } from '../lab-event.type';
import { LabHackschoolCourse } from '../lab-hackschool-course.type';
import { LabHackschoolDoc } from '../lab-hackschool-doc.type';
import { LabHackschoolThread } from '../lab-hackschool-thread.type';
import { LabNews } from '../lab-news.type';
import { LabNewsletter } from '../lab-newsletter.type';
import { LabPodcast } from '../lab-podcast.type';
import { LabTeamMember } from '../lab-team-member.type';
import { LabTechRadarBlip } from '../lab-tech-radar-blip.type';
import { LabTechRadarEdition } from '../lab-tech-radar-edition.type';
/**
 * Generic reference to an IT Lab resource.
 */
export type LabContentITLab = {
    /** Unique resource ID used to identify the IT Lab item. */
    resourceId: string;
    /** Resource type string (e.g. 'book', 'demo', etc.). */
    resource: string;
};
/**
 * IT Lab resource with its corresponding data fully loaded.
 */
export type LabContentITLabPopulated = LabContentITLab & {
    news?: LabNews;
    event?: LabEvent;
    demo?: LabDemo;
    blip?: LabTechRadarBlip;
    edition?: LabTechRadarEdition;
    podcast?: LabPodcast;
    book?: LabBook;
    course?: LabHackschoolCourse;
    thread?: LabHackschoolThread;
    doc?: LabHackschoolDoc;
    member?: LabTeamMember;
    issue?: LabNewsletter;
};
