/**
 * Represents rich text content using a tiptap-style format.
 */
export type LabContentRichtext = {
    /** Optional type of the content block (e.g. 'paragraph', 'heading'). */
    type?: string;
    /** Optional attributes associated with the content node. */
    attrs?: Record<string, any>;
    /** Nested child content blocks. */
    content?: LabContentRichtext[];
    /** Text formatting marks (e.g. bold, italic). */
    marks?: {
        type: string;
        attrs?: Record<string, any>;
        [key: string]: any;
    }[];
    /** Raw text string, if present. */
    text?: string;
    /** Additional arbitrary properties for extensibility. */
    [key: string]: any;
};
