/**
 * Represents an interactive demo or prototype with metadata and user engagement data.
 */
export type LabDemo = {
    /** Unique identifier for the demo. */
    id: string;
    /** Hub identifier used in URLs. */
    _hid: string;
    /** Canonical URL to the demo resource. */
    _url: string;
    /** Display title of the demo. */
    title: string;
    /** Short, catchy tagline. */
    tagline: string;
    /** Favicon image URL (usually for branding). */
    favicon: string;
    /** Optional external link to the live demo or website. */
    href?: string;
    /** Primary theme color in HEX. */
    color: string;
    /** ID of the contact person for the demo. */
    contactId: string;
    /** Number of likes received. */
    likes: number;
};
