/**
 * Represents a single documentation article or learning material in Hackschool.
 */
export type LabHackschoolDoc = {
    /** Unique document ID. */
    id: string;
    /** Hub identifier used in URLs. */
    _hid: string;
    /** Canonical URL to the document resource. */
    _url: string;
    /** ID of the author or contributor. */
    authorId: string;
    /** Title of the document. */
    title: string;
    /** Short summary of the document. */
    summary: string;
    /** Associated topics for categorization. */
    topics: string[];
    /** View or impression count. */
    impressions: number;
    /** Number of likes received. */
    likes: number;
    /** Creation date in ISO 8601 format. */
    createdAt: string;
    /** Last updated date in ISO 8601 format. */
    updatedAt: string;
};
