/**
 * Represents a discussion thread or forum post in Hackschool.
 */
export type LabHackschoolThread = {
    /** Unique thread ID. */
    id: string;
    /** Hub identifier used in URLs. */
    _hid: string;
    /** Canonical URL to the thread. */
    _url: string;
    /** ID of the author who created the thread. */
    authorId: string;
    /** Title of the thread. */
    title: string;
    /** Tags used for categorization or filtering. */
    tags: string[];
    /** View or impression count. */
    impressions: number;
    /** Creation timestamp in ISO 8601 format. */
    createdAt: string;
    /** Last updated timestamp in ISO 8601 format. */
    updatedAt: string;
};
