import { LabThumbnail } from './lab-thumbnail.type';
/**
 * Represents a news article or announcement published by the lab.
 */
export type LabNews = {
    /** Unique news article ID. */
    id: string;
    /** Hub identifier used in URLs. */
    _hid: string;
    /** Canonical URL to the news article. */
    _url: string;
    /** List of author IDs who contributed. */
    authorIds: string[];
    /** Timestamp indicating when the article was published. */
    timestamp: number;
    /** Title of the news article. */
    title: string;
    /** Related topic tags. */
    topics: string[];
    /** Thumbnail image for the news article. */
    thumbnail: LabThumbnail;
    /** Number of likes received. */
    likes: number;
};
