/**
 * Represents a published newsletter issue with a summary and topic tags.
 */
export type LabNewsletter = {
    /** Unique newsletter ID. */
    id: string;
    /** Hub identifier used in URLs. */
    _hid: string;
    /** Canonical URL to the newsletter. */
    _url: string;
    /** Timestamp of publication. */
    timestamp: number;
    /** Short summary of the newsletter's contents. */
    summary: string;
    /** Topics covered in the newsletter. */
    topics: string[];
    /** Title of the newsletter issue. */
    title: string;
    /** Number of likes received. */
    likes: number;
};
