import { LabThumbnail } from './lab-thumbnail.type';
type LabCover = LabThumbnail;
/**
 * Represents a podcast episode with metadata, cover art, and stats.
 */
export type LabPodcast = {
    /** Unique podcast ID. */
    id: string;
    /** Hub identifier used in URLs. */
    _hid: string;
    /** Canonical URL to the podcast episode. */
    _url: string;
    /** Direct link to the audio file. */
    audio: string;
    /** List of user IDs for the podcasters. */
    podcasterIds: string[];
    /** Unix timestamp of the episode release. */
    timestamp: number;
    /** Title of the episode. */
    title: string;
    /** Short summary or episode description. */
    summary: string;
    /** Topics or themes discussed. */
    topics: string[];
    /** Cover image with styling metadata. */
    cover: LabCover;
    /** Number of times the episode has been played. */
    played: number;
    /** Number of likes received. */
    likes: number;
};
export {};
