import { LabThumbnail } from './lab-thumbnail.type';
type LabLogo = LabThumbnail;
/**
 * Represents a single technology entry (blip) in a tech radar edition.
 */
export type LabTechRadarBlip = {
    /** Unique blip ID. */
    id: string;
    /** Hub identifier used in URLs. */
    _hid: string;
    /** Canonical URL to the blip resource. */
    _url: string;
    /** Title or name of the technology. */
    title: string;
    /** Category of the technology (e.g., tool, framework). */
    category: string;
    /** Logo or thumbnail representing the technology. */
    logo: LabLogo;
    /** Relevant resource links. */
    links: string[];
    /** Historical evolution of the technology and its adoption. */
    history: {
        description: string;
        state: string;
        timestamp: number;
    }[];
    /** Optional ID of the user who submitted the blip. */
    submitterId?: string;
    /** Number of likes received. */
    likes: number;
};
export {};
