/**
 * Represents a thumbnail image used across different lab resources such as books, demos, or events.
 */
export type LabThumbnail = {
    /** Source URL of the thumbnail image (must use HTTPS). */
    src: string;
    /** Descriptive alternative text for accessibility and screen readers. */
    alt: string;
    /** Background colors or gradients (specified as HEX color codes). */
    background: string[];
    /** If true, the image will be scaled to fit inside the container (contain); otherwise, it will be cropped (cover). */
    contain: boolean;
    /** Optional maximum height in pixels; dynamically validated elsewhere. */
    maxHeight?: number;
    /** Optional maximum width in pixels; dynamically validated elsewhere. */
    maxWidth?: number;
};
