/**
 * Returns a new object with the specified property removed.
 *
 * @template T - Type of the input object.
 * @template P - Key of the property to remove.
 * @param {T} object - The original object.
 * @param {P} prop - The property key to remove.
 * @returns {Omit<T, P>} A new object without the specified property.
 */
export declare function deleteProperty<T, P extends keyof T>(object: T, prop: P): Omit<T, P>;
