/**
 * Capitalizes a string based on the specified mode.
 *
 * @param {string} input - The string to be capitalized.
 * @param {'first' | 'words'} [mode='words'] - Determines how capitalization is applied.
 *        - 'first': Capitalizes only the first letter of the string.
 *        - 'words': Capitalizes the first letter of each word in the string.
 * @returns {string} A new string with capitalization applied according to the selected mode.
 *
 * Useful for formatting names, titles, or sentences depending on the context.
 */
export declare function capitalize(input: string, mode?: 'first' | 'words'): string;
