/**
 * Converts an email address into a readable username.
 *
 * @param {string} email - The email address to convert.
 * @returns {string} The username constructed from the local part of the email,
 *   splitting on dots to separate first and last names, normalizing each part,
 *   capitalizing appropriately, and joining with spaces.
 *
 * This respects typical email formats where dots separate first and last names,
 * and hyphens inside names are normalized and capitalized properly.
 */
export declare function emailToUsername(email: string): string;
