/**
 * Converts an array of items into a human-readable string list,
 * joining elements with commas and a specified delimiter before the last item.
 *
 * @param {any[]} items - The array of items to format.
 * @param {string} [delimiter='&'] - The string to use before the last item (e.g., "and", "or").
 * @returns {string} A formatted string list.
 *
 * This function filters out null and undefined values, then:
 * - Joins 0, 1, or 2 items directly with the delimiter.
 * - Joins 3 or more items with commas and the delimiter before the last item.
 */
export declare function formatList(items: any[], delimiter?: string): string;
