/**
 * Generates a formatted list from a random sample of the given array.
 *
 * @param {any[]} items - The array to sample from.
 * @param {number} sampleSize - The number of random samples to pick.
 * @param {string} [delimiter='oder'] - The string to use before the last item in the list.
 * @returns {string} A formatted list string based on a random sample of the array.
 *
 * This function filters out null/undefined values, randomly shuffles
 * the array, picks the specified number of samples, and formats them using formatList().
 */
export declare function formatRandomSampleList(items: any[], sampleSize: number, delimiter?: string): string;
