/**
 * Generates initials from a given string.
 *
 * @param {string} fullName - The input string, typically a person's full name.
 * @returns {string} A string containing the initials derived from the input.
 *
 * The function trims the input and returns:
 * - An empty string if input is empty or whitespace only.
 * - The first two characters if the input is short or contains no spaces.
 * - Otherwise, the first character and the first character after the last space (commonly first and last initials).
 */
export declare function getInitials(fullName: string): string;
