/**
 * Computes the Levenshtein distance between two strings.
 *
 * @param {string} source - The original string to compare from.
 * @param {string} target - The string to compare to.
 * @returns {number} The number of single-character edits (insertions, deletions, or substitutions)
 *                   required to change the source string into the target string.
 *
 * This is commonly used for approximate string matching, such as spell-checking,
 * fuzzy search, and measuring textual similarity.
 */
export declare function getLevenshteinDistance(source: string, target: string): number;
