/**
 * Removes query parameters from supported image URLs for consistent caching or comparison.
 *
 * @param {string} src - The image URL to process.
 * @returns {string} The base URL without query parameters if the domain is supported; otherwise, the original URL.
 *
 * This function is used to normalize image URLs from specific providers (e.g., Unsplash, ITLab),
 * stripping away query parameters that may include resizing, compression, or other transformations.
 */
export declare function transformImageUrl(src: string): string;
