/**
 * Determines if two strings match approximately based on token similarity.
 *
 * @param {string} input - The first string to compare.
 * @param {string} target - The second string to compare.
 * @param {number} [threshold=2] - The maximum Levenshtein distance for tokens to be considered matching.
 * @returns {boolean} True if any token from `input` approximately matches any token from `target`.
 *
 * This function is useful for fuzzy search or approximate string matching scenarios,
 * allowing minor typos and partial matches to count as hits.
 */
export declare function isFuzzyMatch(input: string, target: string, threshold?: number): boolean;
